/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Areski Flissi.
Contributor(s): 

====================================================================*/

package org.objectweb.ccm.chat.monolithic;

import org.objectweb.ccm.chat.*;

/**
 * This is the implementation of the OMG IDL3 chat::Event valuetype factory.
 *
 * @author <a href="mailto:Areski.Flissi@lifl.fr">Areski Flissi</A>
 */

public class TextEventDefaultFactory
  implements org.omg.CORBA.portable.ValueFactory
{
    // ==================================================================
    //
    // Methods for OMG IDL org.omg.CORBA.portable.ValueFactory
    //
    // ==================================================================
     
    /** 
     * To read an TextEventImpl on a CORBA stream.
     */
    public java.io.Serializable 
    read_value(org.omg.CORBA_2_3.portable.InputStream in) 
    {
        java.io.Serializable v = new TextEventImpl(); 
        return in.read_value(v); 
    }

    // ==================================================================
    //
    // Public static methods.
    //
    // ==================================================================

    /**
     * Register the valuetype factory to the ORB.
     */
    public static void
    register()
    {
        TextEventFactoryHelper.register(new TextEventDefaultFactory());
    }
}
